umbrello: Settings::CodeGenerationState::CPPCodeGenerationState Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Settings::CodeGenerationState::CPPCodeGenerationState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| CPPCodeGenerationState ()

## Public Attributes
bool | autoGenAccessors
bool | inlineAccessors
bool | inlineOps
bool | packageIsNamespace
bool | publicAccessors
QString | stringClassName
QString | stringClassNameInclude
bool | stringIncludeIsGlobal
QString | vectorClassName
QString | vectorClassNameInclude
QString | classMemberPrefix
QString | docToolTag
bool | vectorIncludeIsGlobal
bool | virtualDestructors
bool | getterWithGetPrefix
bool | removePrefixFromAccessorMethods
bool | accessorMethodsStartWithUpperCase

## Constructor & Destructor Documentation

## ◆ CPPCodeGenerationState()

Settings::CodeGenerationState::CPPCodeGenerationState::CPPCodeGenerationState | ( |  | ) |
| inline

## Member Data Documentation

## ◆ accessorMethodsStartWithUpperCase

bool Settings::CodeGenerationState::CPPCodeGenerationState::accessorMethodsStartWithUpperCase

## ◆ autoGenAccessors

bool Settings::CodeGenerationState::CPPCodeGenerationState::autoGenAccessors

## ◆ classMemberPrefix

QString Settings::CodeGenerationState::CPPCodeGenerationState::classMemberPrefix

## ◆ docToolTag

QString Settings::CodeGenerationState::CPPCodeGenerationState::docToolTag

## ◆ getterWithGetPrefix

bool Settings::CodeGenerationState::CPPCodeGenerationState::getterWithGetPrefix

## ◆ inlineAccessors

bool Settings::CodeGenerationState::CPPCodeGenerationState::inlineAccessors

## ◆ inlineOps

bool Settings::CodeGenerationState::CPPCodeGenerationState::inlineOps

## ◆ packageIsNamespace

bool Settings::CodeGenerationState::CPPCodeGenerationState::packageIsNamespace

## ◆ publicAccessors

bool Settings::CodeGenerationState::CPPCodeGenerationState::publicAccessors

## ◆ removePrefixFromAccessorMethods

bool Settings::CodeGenerationState::CPPCodeGenerationState::removePrefixFromAccessorMethods

## ◆ stringClassName

QString Settings::CodeGenerationState::CPPCodeGenerationState::stringClassName

## ◆ stringClassNameInclude

QString Settings::CodeGenerationState::CPPCodeGenerationState::stringClassNameInclude

## ◆ stringIncludeIsGlobal

bool Settings::CodeGenerationState::CPPCodeGenerationState::stringIncludeIsGlobal

## ◆ vectorClassName

QString Settings::CodeGenerationState::CPPCodeGenerationState::vectorClassName

## ◆ vectorClassNameInclude

QString Settings::CodeGenerationState::CPPCodeGenerationState::vectorClassNameInclude

## ◆ vectorIncludeIsGlobal

bool Settings::CodeGenerationState::CPPCodeGenerationState::vectorIncludeIsGlobal

## ◆ virtualDestructors

bool Settings::CodeGenerationState::CPPCodeGenerationState::virtualDestructors

The documentation for this class was generated from the following file:

- umbrello/optionstate.h